Jump to content

Mac version not compatible with Catalina


Sebastien_Roy
 Share

Recommended Posts

On 10/10/2019 at 11:35 AM, N_C_H_josh said:

The current version of Express Accounts isn't compatible with Catalina. We should be releasing a compatible version. You can stay updated on our releases by subscribing to our newsletter at https://www.nchsoftware.com/software/newsletter.html or by following @nchsoftware on Twitter.

Pity indeed. years of data (needed for IRS audits). But very important that this issue be resolved one way or the other before new fiscal year begins (Jan1) if we have to start up (convert?) to another app.

Link to comment
Share on other sites

  • 2 months later...

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

×
×
  • Create New...